Loading...
Searching...
No Matches
_snd_ump_msg_hdr Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint8_t | byte1
uint8_t | byte2

## Detailed Description

general UMP packet header in 32bit word

## Field Documentation

## byte1

uint8_t _snd_ump_msg_hdr::byte1

First data byte

## byte2

uint8_t _snd_ump_msg_hdr::byte2

Second data byte

## channel

uint8_t _snd_ump_msg_hdr::channel

Channel

## group

uint8_t _snd_ump_msg_hdr::group

UMP Group

## status

uint8_t _snd_ump_msg_hdr::status

Status

## type

uint8_t _snd_ump_msg_hdr::type

UMP packet type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-INT9kU/alsa-lib-1.2.15.3/include/ump_msg.h